Bug 6173 - (int-152308) N900 does not connect to WPA PSK (TRENDNet TEW-432BRP)
(int-152308)
: N900 does not connect to WPA PSK (TRENDNet TEW-432BRP)
Status: NEW
Product: Connectivity
WiFi
: 5.0/(1.2009.42-11)
: N900 Maemo
: Low normal with 13 votes (vote)
: ---
Assigned To: unassigned
: wifi-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-14 08:13 UTC by kimitake
Modified: 2011-07-09 22:54 UTC (History)
21 users (show)

See Also:


Attachments
syslog (15.85 KB, text/plain)
2009-12-14 16:33 UTC, kimitake
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description kimitake (reporter) 2009-11-14 08:13:33 UTC
SOFTWARE VERSION:
2009.42-11

STEPS TO REPRODUCE THE PROBLEM:
- setup WiFi using WPA pre-shared key
- connect to AP from N900

EXPECTED OUTCOME:
connect to AP

ACTUAL OUTCOME:
cannot connect to AP

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
N/A

OTHER COMMENTS:
I'm using TRENDNet 54Mbps 802.11g Wireless Router TEW-432BRP.
The security setting is disabled and WPA2, N900 can connect to the AP,
but if the setting is WPA PSK, N900 cannot connect to the AP.
Both N800 and N810 can connect to the AP and other devices
such as laptop and Wii.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US)
AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.32 Safari/532.0
Comment 1 Lucas Maneos 2009-11-14 10:54:32 UTC
Just checking, is the "WPA2-only mode" option enabled in the connection's
advanced settings?
Comment 2 kimitake (reporter) 2009-11-14 10:57:59 UTC
(In reply to comment #1)
> Just checking, is the "WPA2-only mode" option enabled in the connection's
> advanced settings?
No. the check box is unchecked.
Comment 3 Lucas Maneos 2009-11-14 11:08:02 UTC
Thanks, could you post the output of the command "dmesg" (in a terminal)
immediately after a connection failure?
Comment 4 kimitake (reporter) 2009-11-14 11:29:57 UTC
(In reply to comment #3)
> Thanks, could you post the output of the command "dmesg" (in a terminal)
> immediately after a connection failure?
AP's MAC address is anonymized.

[35311.291381] wlan0: disassociating by local choice (reason=3)
[35311.871246] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[35311.873291] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[35311.875946] wlan0: authenticated
[35311.876007] wlan0: associate with AP xx:xx:xx:xx:xx:xx
[35311.880371] wlan0: deauthenticated
[35312.874389] wlan0: direct probe to AP xx:xx:xx:xx:xx:xx try 1
[35312.877990] wlan0 direct probe responded
[35312.878051] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[35312.881042] wlan0: authenticated
[35312.881072] wlan0: associate with AP xx:xx:xx:xx:xx:xx
[35312.884765] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x431
status=0 aid=2)
[35312.884796] wlan0: associated
[35332.968292] wlan0: disassociating by local choice (reason=3)
[35333.581115] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[35333.583160] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[35333.585784] wlan0: authenticated
[35333.585845] wlan0: associate with AP xx:xx:xx:xx:xx:xx
[35333.590698] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x431
status=0 aid=2)
[35333.590728] wlan0: associated
[35333.804656] wl1251: down
[35333.806915] wlan0: deauthenticating by local choice (reason=3)
Comment 5 kimitake (reporter) 2009-11-14 11:34:55 UTC
In addition, I just tried to both enable and disable for "WPA2-only mode",
but it does not fix the issue.
Comment 6 Lucas Maneos 2009-11-14 12:11:02 UTC
Thanks for that.  Here (1.2009.42-11 with a Buffalo WHR-HP-G54), starting from
disconnected state, connecting and then disconnecting it looks like this:

[47604.933135] wl1251: 154 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[47604.948822] wl1251: firmware booted (Rev 6.0.4.156)
[47605.722290] wlan0: authenticate with AP 00:16:01:
[47605.724578] wlan0: authenticated
[47605.724609] wlan0: associate with AP 00:16:01:XX:XX:XX
[47605.727539] wlan0: RX AssocResp from 00:16:01:XX:XX:XX (capab=0x411 status=0
aid=1)
[47605.727569] wlan0: associated
[47765.012329] wlan0: deauthenticating by local choice (reason=3)
[47765.245788] wl1251: down

(reproduced 3 times identically just to make sure).

I wonder why in your case you see a ReassocResp instead of AssocResp, and also
why the driver goes down before deauthentication.

Do you have some way of checking if the access point still thinks the N900 is
associated after it has disconnected?  If so, can you try rebooting the access
point and see if it makes a difference?

(I assume you are running the latest firmware on the AP, but if not that's
worth checking as well).
Comment 7 kimitake (reporter) 2009-11-14 12:35:23 UTC
(In reply to comment #6)
> Do you have some way of checking if the access point still thinks the N900 is
> associated after it has disconnected?  If so, can you try rebooting the access
> point and see if it makes a difference?
When changing the security type, it seems that AP is restarted.
In addition, I have rebooted it manually when I tested it before.

> (I assume you are running the latest firmware on the AP, but if not that's
> worth checking as well).
Yes, I have already applied the latest firmware.
Before that, Nintendo Wii cannot connect to the AP with WPA2 but WPA.
Comment 8 Andre Klapper maemo.org 2009-11-16 19:52:49 UTC
There is a similar bug report about a Trendnet 631BRP internally (int-135875)
which was closed as non-reproducible.


Are you sure that this Access Point (AP) is not set to use Wi-Fi Protected
Setup?
If it is, can you please disable it and try again?

A syslog would be highly welcome too - see
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Kernel_and_Debugging_Guide/Maemo_Debugging_Guide#Other_Debugging_Tools
.
Comment 9 kimitake (reporter) 2009-11-16 20:06:20 UTC
(In reply to comment #8)
> Are you sure that this Access Point (AP) is not set to use Wi-Fi Protected
> Setup?
> If it is, can you please disable it and try again?
Do you mean MAC filter etc.? If so, No.
In addition, I have updated the AP's firmware and all setting is cleared.

After that, I tried same things but N900 only cannot connect to the AP.
Comment 10 Andre Klapper maemo.org 2009-11-16 20:13:35 UTC
(In reply to comment #9)
> Do you mean MAC filter etc.?

No, I mean WPS, as written.
Comment 11 kimitake (reporter) 2009-11-16 20:41:33 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Do you mean MAC filter etc.?
> 
> No, I mean WPS, as written.
I see.
According to the spec sheet of TEW-432BRP, WPS is supported,
but I cannot find any setting to enable/ disable the feature
at admin page of the AP.
And I have manually setup N810, N800, and Dell D830, and Wii,
they all work with the WPA PSK.

Anyway, I will try to get syslog result later.
Comment 12 RoG 2009-12-10 20:21:57 UTC
Hi,

I have the same issue when connecting to my AP(ZyXEL P-320W with the latest
firmware) using WPA-PSK. In fact, at first it worked for about 1 minute but
after this it dropped and I have not been able to get the N900 connected again.
I have also tried a number of different configs including changing the PSK.
Using no encryption or WEP works well.

Br,
Roger
Comment 13 dave 2009-12-11 06:41:13 UTC
Hello, I have this exact same problem.  In fact I posted on talk.maemo.org
about it:

http://talk.maemo.org/showthread.php?p=421418

This is with a D-Link DI-624 router.  I did not previously look at the dmesg
output but I went and did so now and it looks just like what kimitake reported.
Comment 14 Lucas Maneos 2009-12-11 12:42:12 UTC
To anyone experiencing this: can you check if the access point still thinks the
N900 is associated after it has disconnected (comment 6) and/or provide syslog
output (comment 8)?
Comment 15 RoG 2009-12-12 13:39:31 UTC
(In reply to comment #14)
> To anyone experiencing this: can you check if the access point still thinks the
> N900 is associated after it has disconnected (comment 6) and/or provide syslog
> output (comment 8)?

The only thing my AP is loggin is this (MAC edited):

Time  Message 
12/12/2009 12:29:33 Disassociated: 00-xx-xx-xx-xx-xx because WPA retey failed 
12/12/2009 12:29:29 Reassociated: 00-xx-xx-xx-xx-xx st=0 
12/12/2009 12:29:29 Disassociated: 00-xx-xx-xx-xx-xx 
12/12/2009 12:29:09 Reassociated: 00-xx-xx-xx-xx-xx st=0 
12/12/2009 12:29:08 Disassociated: 00-xx-xx-xx-xx-xx 
12/12/2009 12:28:48 Reassociated: 00-xx-xx-xx-xx-xx st=0 
12/12/2009 12:28:48 Reassociated: 00-xx-xx-xx-xx-xx st=0 
12/12/2009 12:28:48 Disassociated: 00-xx-xx-xx-xx-xx 
12/12/2009 12:28:28 Associated: 00-xx-xx-xx-xx-xx st=0 

So, establishing a connection is tried but it gives up after about 30-40 sec.
Comment 16 Lucas Maneos 2009-12-14 05:48:21 UTC
(In reply to comment #15)
> 12/12/2009 12:29:29 Reassociated: 00-xx-xx-xx-xx-xx st=0 

That "st=0" may be relevant.  Do you know what it means, and/or is it also 0
for other wireless clients?
Comment 17 ypslinux 2009-12-14 09:30:18 UTC

There is a definite problem with the WPA1 personal setup and the Nokia N900
during negotiation. This permitation works with Nokia E65. N81, N95 and all
windows (Vista, XP, Windows 7)
I have tested with D-Link di-624 and Linksys wrt54g2 and N900 will not connect
tp WPA1 personal.
There is an issue during negotiating with WiFI AP. I have attached a log from
the D-Link DI-624.
I hope this information can be used in the debug process.


D-Link  DI-624 firmware 2.76  WPA2 personal/EAS   or WEP  Worked !!! 
...But Windows Vista or Windows 7 cannot connect with this configuration



D-Link  DI-624 firmware 2.76  WPA personal/TKIP  Does not work ????
...But Windows Vista or Windows 7   connect with this configuration without
problems




View Log displays the activities occurring on the DI-624. Click on Log Settings
for advance features.


Dec/14/2009 01:59:28     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:59:27     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:27     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:59:26     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:26     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:59:06     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:59:05     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:05     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:49:48     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:49:47     Authenticating......            a8-??-??-??-??-38



Firmware information:                   

There may be new firmware for your DI-624 to improve functionality and
performance.
Click here to check for an upgrade on our support site.
To upgrade the firmware, locate the upgrade file on the local hard drive with
the Browse button. Once you have found the file to be used, click the Apply
button below to start the firmware upgrade.


Current Firmware Version: 2.76
Firmware Date: Thu, 24 Aug 2006
Comment 18 ypslinux 2009-12-14 09:34:07 UTC

There is a definite problem with the WPA1 personal setup and the Nokia N900
during negotiation. This permitation works with Nokia E65. N81, N95 and all
windows (Vista, XP, Windows 7)
I have tested with D-Link di-624 and Linksys wrt54g2 and N900 will not connect
tp WPA1 personal.
There is an issue during negotiating with WiFI AP. I have attached a log from
the D-Link DI-624.
I hope this information can be used in the debug process.


D-Link  DI-624 firmware 2.76  WPA2 personal/EAS   or WEP  Worked !!! 
...But Windows Vista or Windows 7 cannot connect with this configuration



D-Link  DI-624 firmware 2.76  WPA personal/TKIP  Does not work ????
...But Windows Vista or Windows 7   connect with this configuration without
problems




View Log displays the activities occurring on the DI-624. Click on Log Settings
for advance features.


Dec/14/2009 01:59:28     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:59:27     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:27     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:59:26     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:26     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:59:06     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:59:05     Authenticating......            a8-??-??-??-??-38
Dec/14/2009 01:59:05     Wireless PC connected            a8-??-??-??-??-38
Dec/14/2009 01:49:48     Authentication Success            a8-??-??-??-??-38
Dec/14/2009 01:49:47     Authenticating......            a8-??-??-??-??-38



Firmware information:                   

There may be new firmware for your DI-624 to improve functionality and
performance.
Click here to check for an upgrade on our support site.
To upgrade the firmware, locate the upgrade file on the local hard drive with
the Browse button. Once you have found the file to be used, click the Apply
button below to start the firmware upgrade.


Current Firmware Version: 2.76
Firmware Date: Thu, 24 Aug 2006
Comment 19 RoG 2009-12-14 10:23:00 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > 12/12/2009 12:29:29 Reassociated: 00-xx-xx-xx-xx-xx st=0 
> That "st=0" may be relevant.  Do you know what it means, and/or is it also 0
> for other wireless clients?

That was my thought also but this is also stated in the logs for successful
connections (using no encryption or WEP), as: Associated: 00-xx-xx-xx-xx-xx
st=0

I've made some more testing during the weekend moving between different
encryption modes, and at one occation I got the WPA PSK to actually work (log
entry as above) for a short while but just until I disconnected it and then
tried to connect again. Since that, no luck.
Comment 20 Andre Klapper maemo.org 2009-12-14 15:19:15 UTC
(In reply to comment #11)
> According to the spec sheet of TEW-432BRP, WPS is supported,
> but I cannot find any setting to enable/ disable the feature
> at admin page of the AP.
> And I have manually setup N810, N800, and Dell D830, and Wii,
> they all work with the WPA PSK.

So you used WPS to connect (by entering a PIN or pushing a button), or not (by
going to Settings > Internet Connections > New)?
Can you try both and tell if there's a difference?
Also, waiting for a syslog... :-)
Comment 21 kimitake (reporter) 2009-12-14 16:33:33 UTC
Created an attachment (id=1759) [details]
syslog

I just got a syslog for this issue.
This file is part of the following case and some personal information is masked
or deleted. If you need the original one, please let me know.

1. reboot N900 and connect to WPA, N900 tries to connect to WPA.
2. N900 shows a dialog to input password for AP
3. change AP setting to WPA2, so N900 got a connection
Comment 22 ypslinux 2009-12-19 23:58:01 UTC
(In reply to comment #21)
> Created an attachment (id=1759) [details] [details]
> syslog
> 
> I just got a syslog for this issue.
> This file is part of the following case and some personal information is masked
> or deleted. If you need the original one, please let me know.
> 
> 1. reboot N900 and connect to WPA, N900 tries to connect to WPA.
> 2. N900 shows a dialog to input password for AP
> 3. change AP setting to WPA2, so N900 got a connection
> 

(In reply to comment #17)
> 
> There is a definite problem with the WPA1 personal setup and the Nokia N900
> during negotiation. This permitation works with Nokia E65. N81, N95 and all
> windows (Vista, XP, Windows 7)
> I have tested with D-Link di-624 and Linksys wrt54g2 and N900 will not connect
> tp WPA1 personal.
> There is an issue during negotiating with WiFI AP. I have attached a log from
> the D-Link DI-624.
> I hope this information can be used in the debug process.
> 
> 
> D-Link  DI-624 firmware 2.76  WPA2 personal/EAS   or WEP  Worked !!! 
> ...But Windows Vista or Windows 7 cannot connect with this configuration
> 
> 
> 
> D-Link  DI-624 firmware 2.76  WPA personal/TKIP  Does not work ????
> ...But Windows Vista or Windows 7   connect with this configuration without
> problems
> 
> 
> 
> 
> View Log displays the activities occurring on the DI-624. Click on Log Settings
> for advance features.
> 
> 
> Dec/14/2009 01:59:28    Authentication Success                 
> a8-??-??-??-??-38
> Dec/14/2009 01:59:27    Authenticating......                   
> a8-??-??-??-??-38
> Dec/14/2009 01:59:27    Wireless PC connected                  
> a8-??-??-??-??-38
> Dec/14/2009 01:59:26    Authenticating......                   
> a8-??-??-??-??-38
> Dec/14/2009 01:59:26    Wireless PC connected                  
> a8-??-??-??-??-38
> Dec/14/2009 01:59:06    Authentication Success                 
> a8-??-??-??-??-38
> Dec/14/2009 01:59:05    Authenticating......                   
> a8-??-??-??-??-38
> Dec/14/2009 01:59:05    Wireless PC connected                  
> a8-??-??-??-??-38
> Dec/14/2009 01:49:48    Authentication Success                 
> a8-??-??-??-??-38
> Dec/14/2009 01:49:47    Authenticating......                   
> a8-??-??-??-??-38
> 
> 
> 
> Firmware information:                    
> 
> There may be new firmware for your DI-624 to improve functionality and
> performance.
> Click here to check for an upgrade on our support site.
> To upgrade the firmware, locate the upgrade file on the local hard drive with
> the Browse button. Once you have found the file to be used, click the Apply
> button below to start the firmware upgrade.
> 
> 
> Current Firmware Version: 2.76
> Firmware Date: Thu, 24 Aug 2006                                  
> 
> 

(In reply to comment #21)
> Created an attachment (id=1759) [details] [details]
> syslog
> 
> I just got a syslog for this issue.
> This file is part of the following case and some personal information is masked
> or deleted. If you need the original one, please let me know.
> 
> 1. reboot N900 and connect to WPA, N900 tries to connect to WPA.
> 2. N900 shows a dialog to input password for AP
> 3. change AP setting to WPA2, so N900 got a connection
> 

I have loaded dd-wrt V24  in the Linksys wrt54g2 and the WPA1/TKIP exhibited
exactly the same behavior. Therefore, Nokia/Maemo only need to get dd-wrt in
their test environment to try to determine the possible cause. DD-wrt is open
source and the it run in x86 pc in addition to the linksys firewall/router
based devices. 

Here are the version tested
v24 SP1 (Build10020)    Micro
v24 preSP2 (Build13064) Micro


Regards...
Comment 23 ypslinux 2009-12-20 00:01:21 UTC
I have loaded dd-wrt V24  in the Linksys wrt54g2 and the WPA1/TKIP exhibited
exactly the same behavior. Therefore, Nokia/Maemo only need to get dd-wrt in
their test environment to try to determine the possible cause. DD-wrt is open
source and the it run in x86 pc in addition to the linksys firewall/router
based devices. 

Here are the version tested
v24 SP1 (Build10020)    Micro
v24 preSP2 (Build13064) Micro


Regards...
Comment 24 Danilo Câmara 2010-01-01 19:19:15 UTC
I'm here to confirm this bug. Routers Linksys WRT54G-TM and WRT54G2(v1) running
most recent DD-WRT v24-sp2 (build 13064) using WPA2 Personal (AES) encryption.
N900 connected at first but can't connect anymore. No problems with Nokia N810
or others x86 clients.

By now I've switched to WEP encryption for compatibility with N900.
Comment 25 Danilo Câmara 2010-01-01 19:22:57 UTC
*** This bug has been confirmed by popular vote. ***
Comment 26 Jordan 2010-01-03 10:27:32 UTC
Hi people,
I wanted to provide one more confirmation: this problem definitely affects the
D-Link DI-524 (the 624's cheaper cousin).  WPA2 works perfectly fine, but so
far it has proved impossible to establish a connection between the n900 and and
the router if WPA is selected as the encryption protocol of choice.  

A few technical details:
- I've been getting almost exactly the same readout from the kernel log as
kimitake.  
- I'm almost certain I was not using WPS; I'm not even sure the router supports
it.  
- To make sure I wasn't going insane, I tried switching the router's security
protocol repeatedly, and in short succession.  Whenever the selected protocol
was WPA, the n900 refused to connect; whenever it was WPA2, the device
connected within ten seconds.  
- Time allowing, I'd be perfectly happy to try to generate a syslog.
Comment 27 Andre Klapper maemo.org 2010-01-04 20:27:55 UTC
kimitake: Thanks for the syslog!
ypslinux: Please avoid unneeded full-quotes.
Comment 28 Ivan Boada 2010-01-10 06:36:46 UTC
I had de the same problem, Im usig Trendnet TEW-432BRP, WPA2 works fine but WPA
not at all. After trying everything, changing the cipher type from TKIP to AES
made WPA works just fine.
Comment 29 ext-jason.rudd@nokia.com nokia 2010-01-20 15:35:11 UTC
I have tested the dd-wrt v24 build on the Linksys WRT54GL and this does work.
However initially it did not. After a few attempts to capture logs the
connection suddenly jumped into life. I then tested with other N900s to make
sure it was not something peculiar to the one I had been collected the logs on.
They all worked first time, they did not earlier in the day, This suggests to
me that there is something on the dd-wrt side causing problems after initial
set up - maybe the PMK cache? The connection continues to work after rebooting
the dd-wrt.

Incidentally I have never seen any problems with the standard Linksys firmware.
Some reporters suggest there may be issues, but the standard firmware has been
extensively tested.

We are investigating the D-Link 5/624 WPA TKIP problem, which appears (from the
syslog) to be the same problem exhibited by the TRENDNet TEW-432BRP. Hopefully
we will soon have news on that.
Comment 30 Danilo Câmara 2010-01-22 03:56:55 UTC
I have 5 LinkSys WRT54G (various versions) all running DD-WRT and after some
time my experience is that there are days when N900 will connect to WPA2 and
days when it will not. When it connects, it continue connecting until it stops,
too bad... Don't want to blame N900, but I never had any problems with N810 or
x86 notebooks.
Comment 31 ext-jason.rudd@nokia.com nokia 2010-01-22 11:15:31 UTC
Thanks Danilo, I have actually seen the same problem with dd-wrt now, works for
a while and then doesn't. Rebooting the AP fixes the issue. I will continue to
investigate, it would be nice to see what happens with other devices when we
hit this failure mode.
Comment 32 Danilo Câmara 2010-01-22 16:23:47 UTC
Right now N900 wasn't connecting to Linksys/dd-wrt. A power cycle in the AP
didn't solve. Also a software reboot didn't help. So I rebooted N900 itself and
finally it could connect. In every test, N810 keep connecting just fine...

My setup is:
 Security Mode: WPA2 Personal
 WPA Algorithm: AES
 WPA Shared Key: (8 char alphanumeric key)

 DHCP server with static leases for the devices MAC
Comment 33 ext-jason.rudd@nokia.com nokia 2010-01-26 10:44:53 UTC
I have created a new bug for OpenWRT problems:

https://bugs.maemo.org/show_bug.cgi?id=8545

Please keep comments in this bug related to problems with TRENDNet.
Comment 34 Peter Jriffin 2010-02-01 18:20:36 UTC
I have errors with wifi too. N900 2.2009.51-1

wlan0: disassociating by local choice (reason=3)

With AP Cisco Aironet 1130 and 1100, WPA2-PSK AES when I make a call through
SIP. Disconnect and error to reconnect, I need to switch off/on to make connect
correctly again.
Comment 35 Matt Giuca 2010-02-02 05:21:27 UTC
I got this problem with the iiNet BoB wireless modem router. (Only WPA and WPA2
problems). I rebooted the N900 and it then worked fine (for now, at least).

Not sure if this is the general solution, since probably the OP would already
have tried this, but just mentioning.
Comment 36 Sami Ketola 2010-02-03 08:14:45 UTC
seems that if you want to connect to WPA-PSK protected AP you would need to
enter the WPA-PSK key in passphrase format and raw hex keys are not allowed. 

tested with multiple d-link a-link and Apple AirPort routers.
Comment 37 Naterator 2010-02-16 22:50:55 UTC
I can confirm this issue with Cisco equipment as well. WPA does not work at
all. See similar bug number 8638.... 

[62885.944488] kb_lock (GPIO 113) is now open
[62894.022613] kb_lock (GPIO 113) is now closed
[62894.264617] kb_lock (GPIO 113) is now open
[62946.702484] slide (GPIO 71) is now open
[63104.459991] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[63104.475677] wl1251: firmware booted (Rev 4.0.4.3.6)
[63106.553894] wl1251: down
[63108.098510] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[63108.098876] wl1251: firmware booted (Rev 4.0.4.3.6)
[63109.030242] wlan0: authenticate with AP 00:12:80:28:ce:90
[63109.033294] wlan0: authenticated
[63109.033325] wlan0: associate with AP 00:12:80:28:ce:90
[63109.037628] wlan0: RX AssocResp from 00:12:80:28:ce:90 (capab=0x431 status=0
aid=55)
[63109.037658] wlan0: associated
[63111.692504] wlan0: deauthenticated
[63111.913635] wl1251: down
Comment 38 Naterator 2010-02-16 23:02:26 UTC
Correction, i should have said wpa with eap. Cisco 1200, 1100 series. Tkip, AES
CCM and key rotation is the aironet configuration. N900 is the only device so
far that has had issues.. My environment has been up for +3 years and 100's of
concurrent devices.

Let me know if you need any more info... Thanks
Comment 39 Danilo Câmara 2010-02-17 04:01:45 UTC
For me the situation is just like Bug 6416. Soon I will do some tests to see if
it's resolved.
Comment 40 ext-jason.rudd@nokia.com nokia 2010-02-17 11:15:59 UTC
Please could we have the Cisco EAP problem on a separate bug.
Comment 41 Naterator 2010-02-17 18:02:18 UTC
I can kick of another bug for Cisco, Just a Note.. it looks as if there are 3
bugs out there already for the same underlining issue that WPA does not work in
specific configuration instances. (And maybe at all, as i cant confirm it does
work)
Comment 42 Anderson Lizardo 2010-02-20 19:24:57 UTC
I can confirm the same problem in a D-Link 624 (same as comment #13). Note that
unlike comment #28, AES ciphering did NOT work for me (I was already using it).

dmesg output:

[   81.201538] wlan0: disassociating by local choice (reason=3)
[   81.760467] wlan0: direct probe to AP xx:xx:xx:xx:xx:xx try 1
[   81.761016] wlan0: direct probe to AP xx:xx:xx:xx:xx:xx try 1
[   81.763977] wlan0 direct probe responded
[   81.764007] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[   81.767486] wlan0: authenticated
[   81.767517] wlan0: associate with AP xx:xx:xx:xx:xx:xx
[   81.770629] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x411
status=0 aid=2)
[   81.770660] wlan0: associated
[  101.869537] wlan0: disassociating by local choice (reason=3)
[  102.492858] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[  102.493499] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
[  102.495269] wlan0: authenticated
[  102.495300] wlan0: associate with AP xx:xx:xx:xx:xx:xx
[  102.499725] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x411
status=0 aid=2)
[  102.499755] wlan0: associated
...

Setup details:

Security: WPA (version 1)
Cipher Type: AES
PSK/EAP:  PSK
Passphrase: [64 characters string]

Note that this same setup is currently working for the following devices:

* Nokia E65
* Nokia 5800
* Lenovo T61 (Intel(R) Wireless WiFi Link 4965AGN chipset)
Comment 43 Danilo Câmara 2010-02-21 06:43:34 UTC
No more connection errors for me (Linksys dd-wrt, WPA2 Personal/AES). Maybe my
case was that of Bug 6416.
Comment 44 M Eley 2010-03-01 21:48:33 UTC
Same bug for me with DI-624
Comment 45 ext-jason.rudd@nokia.com nokia 2010-03-02 09:44:30 UTC
On the surface these bugs may appear to be the same, however they rarely are,
please keep one bug for each access point. The symptoms for TrendNET and DL-624
(https://bugs.maemo.org/show_bug.cgi?id=8431) are different. Please ad you
DL624 comments there.




(In reply to comment #42)
> I can confirm the same problem in a D-Link 624 (same as comment #13). Note that
> unlike comment #28, AES ciphering did NOT work for me (I was already using it).
> 
> dmesg output:
> 
> [   81.201538] wlan0: disassociating by local choice (reason=3)
> [   81.760467] wlan0: direct probe to AP xx:xx:xx:xx:xx:xx try 1
> [   81.761016] wlan0: direct probe to AP xx:xx:xx:xx:xx:xx try 1
> [   81.763977] wlan0 direct probe responded
> [   81.764007] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
> [   81.767486] wlan0: authenticated
> [   81.767517] wlan0: associate with AP xx:xx:xx:xx:xx:xx
> [   81.770629] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x411
> status=0 aid=2)
> [   81.770660] wlan0: associated
> [  101.869537] wlan0: disassociating by local choice (reason=3)
> [  102.492858] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
> [  102.493499] wlan0: authenticate with AP xx:xx:xx:xx:xx:xx
> [  102.495269] wlan0: authenticated
> [  102.495300] wlan0: associate with AP xx:xx:xx:xx:xx:xx
> [  102.499725] wlan0: RX ReassocResp from xx:xx:xx:xx:xx:xx (capab=0x411
> status=0 aid=2)
> [  102.499755] wlan0: associated
> ...
> 
> Setup details:
> 
> Security: WPA (version 1)
> Cipher Type: AES
> PSK/EAP:  PSK
> Passphrase: [64 characters string]
> 
> Note that this same setup is currently working for the following devices:
> 
> * Nokia E65
> * Nokia 5800
> * Lenovo T61 (Intel(R) Wireless WiFi Link 4965AGN chipset)
>
Comment 46 ext-jason.rudd@nokia.com nokia 2010-03-02 13:32:18 UTC
Please make dd-wrt comments on this bug
https://bugs.maemo.org/show_bug.cgi?id=8545 this will aid a more speedy
resolution to the problems.
Comment 47 Danilo Câmara 2010-03-17 02:59:33 UTC
I thought PR1.1.1 firmware had solved this bug for me but it just took longer
for the problem to happen again.
Comment 48 ext-jason.rudd@nokia.com nokia 2010-03-17 09:39:01 UTC
The dd-wrt problems are unrelated (the protocol fails in different places) to
this bug, please keep your posts on the dd-wrt bug. Reposting confuses and
slows the bug tracking process and is likely to hinder rather than help a
speedy resolution.
Comment 49 Functional 2010-05-26 20:26:49 UTC
Confirming this issue.

Router:
D-Link DIR-301, firmware 1.02 (latest as of 2009)

Settings:
WPA, TKIP/PSK

dmesg:
pretty much same as OPs syslog.
disassociating by local choice (reason=3)


WPA2 works but then vista wont connect.
ubuntu connects fine with both.

WEP/open is not a viable alternative and thus I refuse to use it in my router.
Comment 50 tom_truong 2010-05-27 06:03:49 UTC
I can also confirm this issue still appears in PR1.2

(In reply to comment #49)
> Confirming this issue.
> 
> Router:
> D-Link DIR-301, firmware 1.02 (latest as of 2009)
> 
> Settings:
> WPA, TKIP/PSK
> 
> dmesg:
> pretty much same as OPs syslog.
> disassociating by local choice (reason=3)
> 
> 
> WPA2 works but then vista wont connect.
> ubuntu connects fine with both.
> 
> WEP/open is not a viable alternative and thus I refuse to use it in my router.
>
Comment 51 Andre Klapper maemo.org 2010-05-27 13:10:36 UTC
Tom: Please do not quote the entire previous comment and if quoting please
answer below quoted text. 
So you also use a TRENDNet TEW-432BRP?
Comment 52 Functional 2010-05-27 16:02:42 UTC
(In reply to comment #51)
> So you also use a TRENDNet TEW-432BRP?
> 

I don't think this necessarily is TRENDNet TEW-432BRP (or even TRENDNet)
related.
(Won't work with my D-Link router for instance)

Though manufacturer/model might be helpful to know.

What if we ask this instead:
Has anyone ever got WPA to work with their n900?
Comment 53 Andre Klapper maemo.org 2010-05-27 16:23:28 UTC
(In reply to comment #52)
> I don't think this necessarily is TRENDNet TEW-432BRP (or even TRENDNet)
> related.

That is what this bug report is about. If you have different hardware issues,
file a different bug please...

> Has anyone ever got WPA to work with their n900?

Yes. :)
(But if this gets off-topic, please move such type of discussion to
talk.maemo.org instead.)
Comment 54 Yauhen Kharuzhy 2011-05-05 23:40:46 UTC
I have same problem with Asus WL-520g wireless router. I tried WPA-PSK/AES and
WPA-PSK/TKIP.